﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace HKCardManager
{
    public class MessageLogNotify
    {

        private volatile static MessageLogNotify _Instance;
        public static MessageLogNotify GetInstance => _Instance ?? (_Instance = new MessageLogNotify());
        private MessageLogNotify() { }

        public Action<string> Info { get; set; }

        public void Show(string info)
        {
            Info?.Invoke(info);
        }

        public void ShowEx(string info)
        {
            Info?.Invoke(info);
        }

        public void ShowError(string info)
        {
            Info?.Invoke(info);
        }


    }
}
